Delete price type binding to customer group catalog.priceTypeGroup.delete

We are still updating this page

Some data may be missing — we will fill it in shortly.

Scope: catalog

Who can execute the method: any user

Description

catalog.priceTypeGroup.delete(id)
        

This method removes the product price from the collection of product prices. If the operation is successful, true is returned in the response body.

Parameters

Parameter

Description

id
integer

Identifier of the price type binding to the customer group.

Required parameters are marked with *

Examples

try
        {
        	const response = await $b24.callMethod(
        		'catalog.priceTypeGroup.delete',
        		{
        			id: 84
        		}
        	);
        	
        	const result = response.getData().result;
        	if(result.error())
        	{
        		console.error(result.error().ex);
        	}
        	else
        	{
        		console.log(result);
        	}
        }
        catch(error)
        {
        	console.error('Error:', error);
        }
        
try {
            $response = $b24Service
                ->core
                ->call(
                    'catalog.priceTypeGroup.delete',
                    [
                        'id' => 84
                    ]
                );
        
            $result = $response
                ->getResponseData()
                ->getResult();
        
            if ($result->error()) {
                error_log($result->error()->ex);
            } else {
                echo 'Success: ' . print_r($result->data(), true);
            }
        
        } catch (Throwable $e) {
            error_log($e->getMessage());
            echo 'Error deleting price type group: ' . $e->getMessage();
        }
        
BX24.callMethod(
            'catalog.priceTypeGroup.delete',
            {
                id: 84
            },
            function(result)
            {
                if(result.error())
                    console.error(result.error().ex);
                else
                    console.log(result.data());
            }
        );
        

How to Use Examples in Documentation